Difference between revisions of "Talk:Arch Linux VPS"

From ArchWiki
Jump to navigation Jump to search
(mention ultravps.eu)
 
(2 intermediate revisions by 2 users not shown)
Line 1: Line 1:
== Rsync Symlink Note ==
+
== OpenVZ 6 Compatibility ==
  
I removed the note about symlinks that [[User:Thanil|Thanil]] added to the rsync tutorial. I've successfully used the method to migrate/install Arch to plenty of systems with various distros (Debian 5, CentOS 6, etc.). I certainly don't want people thinking they must install Fedora or that they're going to have problems.  Thanil, have you specifically had problems installing Arch to OpenVZ that were certainly caused by Arch's symlinking of "/bin, /sbin, /lib and /lib64"?  With rsync's "-a" argument combined with "--delete", it will just delete those directories if they actually exist, replacing them with the symlinks that the source usesYes, that will probably cause the target system to crash at some point, but I've never had it interfere with the copy or the working of this method.  I can of course be wrong; maybe there's some system I haven't tested it on where it's actually a problem. --[[User:Mister Magotchi|Magotchi]] ([[User talk:Mister Magotchi|talk]]) 16:45, 10 November 2016 (UTC)
+
Has anybody had any success getting a current version of Arch to work on OpenVZ 6 kernel version 2.6.32-042stab131.1 (or another recent version) ? I updated the warning to say that it doesn't work currently, but if anybody knows a specific systemd version that works, or other workarounds, please advise or update the pageFor me, vzctl in OpenVZ 6 just complains with a cryptic "Container start failed (try to check kernel messages, e.g. 'dmesg | tail')" message, dmesg isn't helpful, and neither is "/var/log/vzctl.log", so it's quite difficult to troubleshoot the specific issue. --[[User:Mister Magotchi|Magotchi]] ([[User talk:Mister Magotchi|talk]]) 18:31, 27 June 2018 (UTC)
  
== Journal Issues in systemd 231 ==
+
== UltraVPS offers Arch Linux in their boot image installation ==
  
While my OpenVZ VPS boots and services seem to start with systemd 231, nothing new gets added to the journal.  230 works great.  I would add more information to the page about this issue, but I'm having trouble finding information about it (if its a known issue, which [https://openvz.org/Download/kernel OpenVZ kernel version] might have fixed it, etc.). If anyone knows anything, it would be appreciated. --[[User:Mister Magotchi|Magotchi]] ([[User talk:Mister Magotchi|talk]]) 17:10, 10 November 2016 (UTC)
+
ultravps.eu has Arch Linux in their for installation, but after you buy the service --[[User:Megver83|Megver83]] ([[User talk:Megver83|talk]]) 20:18, 19 February 2019 (UTC)
 
 
== Edits to VPS Providers by MountainX ==
 
 
 
[[User:MountainX|MountainX]] has recently made several edits to the list of VPS providers, making definitive statements on whether or not Arch can be used with the providers services', whether it can be updated, about bugs with the providers' interfaces, etc.  I haven't yet taken the time to review them all, and I'm not sure that I could vet all of them, but I think some of these have biased language, some of them might be untrue (saying it's impossible to update to the new version in the case of vpsserver.com), etc.  With the rsync method (or similar bootstrapping methods), it's generally possible, kernel-allowing, to install the latest version of Arch on any VPS provider.  OpenVZ, having a shared, older kernel, tends to give the most grief, but often the missing features the newest version of Arch needs eventually get backported to the older kernel eventually, so statements that it's impossible tend to become incorrect rather quickly, in my experience, as evidenced by the now-outdated notices on this page that I've added/edited in the past regarding specific behavior on specific versions.  Time-permitting, I intend to look into some of these statements and adjust them, although I would appreciate it, MountainX, if you would review your own statements and try to ensure that what you're saying is certainly true, with all reasonable avenues explored, in each case.  For example, while it may be true that it's not possible to use the 2015.07 Arch media vpsserver.com provides, simply run "pacman -Syu", and have everything just work, it doesn't mean that it's impossible to run the latest version on their service.  I'm not saying that it for sure is possible, but please be sure of such a statement before you make it in a guide such as this.
 
 
 
 
 
'''Reply''': My statement about vpsserver.com was specifically singled out for strong language and possibly being biased. However, that is a ''direct quote'' from vpsserver.com support, and I indicated such in my original edit comments. When the comments were my own, I used language that was as factual and unbiased as I know how to make it. But when a service providers gives the kind of response vpsserver.com gave regarding Arch, I think it is worth providing the exact quote to Arch wiki readers. [[User:MountainX|MountainX]] ([[User talk:MountainX|talk]]) 03:54, 12 March 2018 (UTC)
 
 
 
'''Reply #2''': Quoting from above: "With the rsync method (or similar bootstrapping methods), it's generally possible, kernel-allowing, to install the latest version of Arch on '''any VPS provider'''." From that perspective, this list of VPS providers who ''support Arch'' would not be necessary. In reality, however, there are a few VPS providers who do specifically support Arch. Some have ISO images that can be installed and a few very special providers have recent Arch system images which can be installed with 1 click. Those are the VPS providers this list should include. I think it should also note which of the installation types is required to get Arch running (and fully updated). Any provider who offers nothing more than every other VPS non-Arch-supporting provider should not be on this list. Therefore, if the rsync method (or similar bootstrapping methods) are required to get Arch running at some provider, I propose that VPS provider be removed from this list. [[User:MountainX|MountainX]] ([[User talk:MountainX|talk]]) 05:52, 13 March 2018 (UTC)
 

Latest revision as of 20:18, 19 February 2019

OpenVZ 6 Compatibility

Has anybody had any success getting a current version of Arch to work on OpenVZ 6 kernel version 2.6.32-042stab131.1 (or another recent version) ? I updated the warning to say that it doesn't work currently, but if anybody knows a specific systemd version that works, or other workarounds, please advise or update the page. For me, vzctl in OpenVZ 6 just complains with a cryptic "Container start failed (try to check kernel messages, e.g. 'dmesg | tail')" message, dmesg isn't helpful, and neither is "/var/log/vzctl.log", so it's quite difficult to troubleshoot the specific issue. --Magotchi (talk) 18:31, 27 June 2018 (UTC)

UltraVPS offers Arch Linux in their boot image installation

ultravps.eu has Arch Linux in their for installation, but after you buy the service --Megver83 (talk) 20:18, 19 February 2019 (UTC)